// GetTargetAppWindow.cpp

static TCHAR g_szTargetWndClass[] = _T("Notepad"); // class of frame window (revealed using Spy)
static HWND g_hWnd = 0;	// variable to keep handle of window found


BOOL CALLBACK EnumWindowsProc(HWND hWnd, LPARAM lParam)
{
	TCHAR szClassName[_MAX_PATH]; 
	memset( szClassName, 0, sizeof(szClassName) );
	GetClassName( hWnd, szClassName, sizeof(szClassName) );

	if ( !_tcscmp((LPCTSTR)lParam, szClassName) )
	{
		g_hWnd = hWnd;
		return FALSE;
	}
	
	return TRUE;
}

//
// Find/Wait for window of specified class
//
HWND WaitForWndOfClass(LPCTSTR szWndClassName)
{
	BYTE btCounter = 0;
	while ( EnumWindows(EnumWindowsProc, (LPARAM)szWndClassName) && 
		   10 > btCounter )
	{
		Sleep( 20 );
		++btCounter;
	}

	return g_hWnd;
}
